=== debian/changelog ===
toil (3.18.0-2) unstable; urgency=medium

  * Remove errant recommend on python3-futures and depends on python3-pytest*
    (Closes: #919228)
  * Refined the package description, added 'Provides: cwl-runner'
  * Remove the partial mesos support until python3-mesos is packaged
  * Suggests: docker.io | singularity-container | docker-ce
  * Added debian/TODO, updated debian/README.{debian,source}
  * Add basic smoke test ( `toil* --help` ) as an AutoPkgTest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 13 Jan 2019 23:25:16 -0800

toil (3.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #851365)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 07 Jan 2019 02:04:03 -0800
