=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
#http://example.com/downloads.html \
#  files/toil-([\d\.]+)\.tar\.gz debian uupdate

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%toil-$1.tar.gz%" \
   https://github.com/BD2KGenomics/toil/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
#opts="uversionmangle=s%a(\d).dev(?)%~alpha$1.$2%" \
#    https://pypi.debian.net/toil/toil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
