## toil 3.20.0

=== Makefile ===
--- 
+++ 
@@ -90,8 +90,8 @@
 
 # This Makefile uses bash features like printf and <()
 SHELL=bash
-python=python2.7
-pip=pip2.7
+python=python
+pip=pip
 tests=src
 tests_local=src/toil/test
 # do slightly less than travis timeout of 10 min.
@@ -267,8 +267,7 @@
 
 
 prepare: check_venv
-	$(pip) install sphinx==1.5.5 mock==1.0.1 pytest==3.6.2 stubserver==1.0.1 \
-		pytest-timeout==1.2.0 cwltest
+	$(pip) install mock==1.0.1 pytest==4.3.1 pytest-cov==2.6.1 stubserver==1.0.1 pytest-timeout==1.3.3 cwltest
 
 
 check_venv:
@@ -307,3 +306,4 @@
 	! find src -iname '*.py' | xargs grep 'cPickle.dump' | grep --invert-match HIGHEST_PROTOCOL
 
 
+.PHONY: help \
