=== debian/changelog ===
toil (3.20.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Make the build reproducible, patch from lamby@debian.org; thanks!
    (Closes: #925191)
  * Update the patches.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 20 Mar 2019 21:46:34 -0500
