=== debian/control ===
--- 
+++ 
@@ -1,39 +1,42 @@
 Source: toil
-Section: net
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Michael R. Crusoe <michael.crusoe@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Section: net
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-docker,
-	       python3-dill,
-	       python3-future,
-	       python3-pytest-xdist,
+               python3-dill,
+               python3-future,
+               python3-pytest-xdist,
                cwltool,
 # documentation
                python3-urllib3,
                python3-chardet,
                python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/toil
+Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
-Vcs-Git: https://salsa.debian.org/med-team/toil.git
-Vcs-Browser: https://salsa.debian.org/med-team/toil
 
 Package: toil
 Architecture: all
-Provides: cwl-runner
-Depends: ${python3:Depends}, ${misc:Depends},
+Depends: ${python3:Depends},
+         ${misc:Depends},
          cwltool
-Recommends:
-         python3-boto, python3-boto3,
+Recommends: python3-boto,
+            python3-boto3,
 # for google cloud support
-         python3-libcloud
+            python3-libcloud
 # for mesos support, but needs python3-mesos first
 #         python3-protobuf,
-Suggests: docker.io | singularity-container | docker-ce, python3-azure, python3-azure-storage
+Suggests: docker.io | singularity-container | docker-ce,
+          python3-azure,
+          python3-azure-storage
+Provides: cwl-runner
 #Suggests: python-toil-doc
 Description: cross-platform workflow engine
  Toil is a scalable, efficient, cross-platform and easy-to-use workflow
