=== debian/changelog ===
toil (3.23.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Removed patch 'debian/patches/fix_tests' which was applied upstream

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Feb 2020 00:15:16 +0100
