## toil 3.24.0

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,11 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
+include common.mk
 
 define help
 
-Supported targets: prepare, develop, docs, sdist, clean, test, pypi, docker and push_docker.
+Supported targets: prepare, develop, docs, sdist, clean, test, docker and push_docker.
 
 Please note that all build targets require a virtualenv to be active.
 
@@ -31,7 +32,7 @@
 The 'sdist' target creates a source distribution of Toil. It is used for some unit tests and for
 installing the currently checked out version of Toil into the appliance image.
 
-The 'clean' target cleans up the side effects of 'develop', 'sdist', 'docs', 'pypi' and 'docker'
+The 'clean' target cleans up the side effects of 'develop', 'sdist', 'docs', and 'docker'
 on this machine. It does not undo externally visible effects like removing packages already
 uploaded to PyPI.
 
@@ -41,26 +42,15 @@
 Toil's dependencies; it is recommended to 'make develop' before running any of them.
 
 The 'test' target runs Toil's unit tests serially with pytest. It will run some docker tests and
-setup. If you wish to avoid this, use the 'test_offline' target instead. Note: this target does not
-capture output from the terminal. For any of the test targets, set the 'tests' variable to run a
-particular test, e.g.
+setup. Note: this target does not capture output from the terminal. For any of the test targets,
+set the 'tests' variable to run a particular test, e.g.
 
 	make test tests=src/toil/test/sort/sortTest.py::SortTest::testSort
 
-The 'test_offline' target is similar to 'test' but it skips the docker dependent tests and their
-setup. It can also be used to invoke individual tests, e.g.
-
-    make test_offline tests_local=src/toil/test/sort/sortTest.py::SortTest::testSort
-
-The 'integration_test_local' target runs toil's integration tests. These are more thorough but also
+The 'integration_test' target runs toil's integration tests. These are more thorough but also
 more costly than the regular unit tests. For the AWS integration tests to run, the environment
-variable 'TOIL_AWS_KEYNAME' must be set. This user will be charged for expenses acrued during the
-test. This test does not capture terminal output.
-
-The 'integration_test' target is the same as the previous except that it does capture output.
-
-The 'pypi' target publishes the current commit of Toil to PyPI after enforcing that the working
-copy and the index are clean.
+variable 'TOIL_AWS_KEYNAME' must be set. This user will be charged for expenses accrued during the
+test.
 
 The 'docker' target builds the Docker images that make up the Toil appliance. You may set the
 TOIL_DOCKER_REGISTRY variable to override the default registry that the 'push_docker' target pushes
@@ -84,9 +74,6 @@
 export help
 help:
 	@printf "$$help"
-
-
-
 
 
 # This Makefile uses bash features like printf and <()
@@ -101,14 +88,6 @@
 
 sdist_name:=toil-$(shell $(python) version_template.py distVersion).tar.gz
 
-docker_tag:=$(shell $(python) version_template.py dockerTag)
-default_docker_registry:=$(shell $(python) version_template.py dockerRegistry)
-docker_path:=$(strip $(shell which docker))
-
-export TOIL_DOCKER_REGISTRY?=quay.io/ucsc_cgl
-export TOIL_DOCKER_NAME?=toil
-export TOIL_APPLIANCE_SELF:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME):$(docker_tag)
-
 green=\033[0;32m
 normal=\033[0m
 red=\033[0;31m
@@ -138,36 +117,26 @@
 	- rm -rf dist
 	- rm src/toil/version.py
 
-
 # We always claim to be Travis, so that local test runs will not skip Travis tests.
 # Gitlab doesn't run tests via the Makefile.
 
+# The auto-deployment test needs the docker appliance
+test: check_venv check_build_reqs docker
+	TRAVIS=true \
+	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)
+
+
 # This target will skip building docker and all docker based tests
+# these are our travis tests; rename?
 test_offline: check_venv check_build_reqs
 	@printf "$(cyan)All docker related tests will be skipped.$(normal)\n"
 	TOIL_SKIP_DOCKER=True \
 	TRAVIS=true \
 	    $(python) -m pytest $(pytest_args_local) $(tests_local)
 
-# The auto-deployment test needs the docker appliance
-test: check_venv check_build_reqs docker
-	TRAVIS=true \
-	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)
-
-# For running integration tests locally in series (uses the -s argument for pyTest)
-integration_test_local: check_venv check_build_reqs sdist push_docker
-	TRAVIS=true \
-	    $(python) run_tests.py --local integration-test $(tests)
-
-test_integration: check_venv check_build_reqs docker
-	TRAVIS=true \
-	    $(python) run_tests.py integration-test $(tests)
-
 ifdef TOIL_DOCKER_REGISTRY
 
 docker_image:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME)
-docker_short_tag:=$(shell $(python) version_template.py dockerShortTag)
-docker_minimal_tag:=$(shell $(python) version_template.py dockerMinimalTag)
 
 grafana_image:=$(TOIL_DOCKER_REGISTRY)/toil-grafana
 prometheus_image:=$(TOIL_DOCKER_REGISTRY)/toil-prometheus
@@ -189,19 +158,20 @@
 
 	@set -ex \
 	; cd docker \
-	; docker build --tag=$(docker_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(docker_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/prometheus \
-	; docker build --tag=$(prometheus_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(prometheus_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/grafana \
-	; docker build --tag=$(grafana_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(grafana_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/mtail \
-	; docker build --tag=$(mtail_image):$(docker_tag) -f Dockerfile .
+	; docker build --tag=$(mtail_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 
 docker/$(sdist_name): dist/$(sdist_name)
 	cp $< $@
@@ -211,14 +181,14 @@
 
 clean_docker:
 	-rm docker/Dockerfile docker/$(sdist_name)
-	-docker rmi $(docker_image):$(docker_tag)
+	-docker rmi $(docker_image):$(TOIL_DOCKER_TAG)
 
 push_docker: docker
 	# Weird if logic is so we fail if all the pushes fail
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(docker_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(grafana_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(prometheus_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(mtail_image):$(docker_tag) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(docker_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(grafana_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(prometheus_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(mtail_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
 
 else
 
@@ -235,7 +205,7 @@
 clean_docs: check_venv
 	- cd docs && make clean
 
-clean: clean_develop clean_sdist clean_pypi clean_docs
+clean: clean_develop clean_sdist clean_docs
 
 check_build_reqs:
 	@$(python) -c 'import mock; import pytest' \
@@ -269,12 +239,10 @@
 		check_cpickle \
 		develop clean_develop \
 		sdist clean_sdist \
-		test test_offline test_parallel integration_test \
-		pypi clean_pypi \
+		test test_offline \
 		docs clean_docs \
 		clean \
 		check_venv \
 		check_clean_working_copy \
-		check_running_on_jenkins \
 		check_build_reqs \
 		docker clean_docker push_docker
