=== debian/changelog ===
toil (3.24.0-1) unstable; urgency=medium

  * New upstream version
  * refresh debian/patches/settings_version.patch from pypi sdist (must be
    done with every new upstream release!)
  * Allow the newer schema salad package (Closes: #951139)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:41:12 +0100
